# autodeinterlace

The autodeinterlace element is used to automatically select the right deinterlacer based on the caps of the stream. It can plug several elements to download/upload to/from the GPU when required/best.

Note: This element guarantees that caps negotiation works but when setting properties that are not available on the best underlying deinterlacer some upload/download might be required and performance are impacted.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──GstBaseAutoConvert
                            ╰──autodeinterlace

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Thibault Saunier

Classification: – `Bin/Colorspace/Scale/Video/Converter/Deinterlace`

Rank – none

Plugin – autoconvert

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### fields

    “fields” Auto-deinterlace-fields *

This selects which fields should be output. If "all" is selected the output framerate will be double.

Flags : Read / Write

Default value : all (0)

### layout

    “layout” Auto-deinterlace-field-layout *

This selects which fields is the first in time.

Flags : Read / Write

Default value : auto (0)

### mode

    “mode” Auto-deinterlace-modes *

This selects whether the deinterlacing methods should always be applied or if they should only be applied on content that has the "interlaced" flag on the caps.

Flags : Read / Write

Default value : auto (0)

## Named constants

### Auto-deinterlace-field-layout

#### Members

`auto` (0) – Auto detection
`tff` (1) – Top field first
`bff` (2) – Bottom field first

Since : 1.24

### Auto-deinterlace-fields

#### Members

`all` (0) – All fields
`top` (1) – Top fields only
`bottom` (2) – Bottom fields only
`auto` (3) – Automatically detect

Since : 1.24

### Auto-deinterlace-modes

#### Members

`auto` (0) – Auto detection (best effort)
`interlaced` (1) – Force deinterlacing
`disabled` (2) – Run in passthrough mode
`auto-strict` (3) – Auto detection (strict)

Since : 1.24

The results of the search are